<div class="input-group" ng-class="{'is-invalid':$ctrl.invalid}"> 
	<div class="input-group-prepend" ng-click="$ctrl.selectMonth()" ng-keydown="$ctrl.keyPress($event)"> 
		<span class="input-group-text ng-binding input-group-focus" 
			style="background: transparent;position: relative" tabindex="0"> {{$ctrl.months[$ctrl.default.month].short || "MM"}}&nbsp;&nbsp;
			<i class="fa fa-angle-down"></i></span> 
		<ul ng-if="$ctrl.is_visible">
			<li ng-repeat="month in $ctrl.months" ng-click="$ctrl.onValueChanged(month.index)" ng-keydown="$ctrl.select($event,month.index)" tabindex="0">{{month.name}}</li>
		</ul>
	</div> 
	<input name="dateDay" type="number" class="form-control bio-custom-input" min="1" max="{{$ctrl.months[$ctrl.default.month].days}}" maxlength="2" ng-change="$ctrl.check_validity()" ng-model="$ctrl.default.day" width="240px" placeholder="DD" oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);"> 
	<input name="dateYear" type="number" class="form-control bio-custom-input" min="1900" maxlength="4" ng-change="$ctrl.check_validity()" ng-model="$ctrl.default.year" placeholder="YYYY" oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);"> 
</div>	
<div class="invalid-feedback" style="display: block" ng-if="$ctrl.invalid"> Invalid Date </div>
<br>
